<?php

$rtwwpge_purchase_code_details = get_option( 'rtwwpge_verification_done', array() );
if (!empty($rtwwpge_purchase_code_details) && is_array($rtwwpge_purchase_code_details) && isset($rtwwpge_purchase_code_details['status']) && $rtwwpge_purchase_code_details['status'] == true && isset($rtwwpge_purchase_code_details['purchase_code']) && $rtwwpge_purchase_code_details['purchase_code'] != '' )
{
	settings_fields('rtwwpge_watermark_setting');
	$rtwwpge_wprh_get_setting = get_option('rtwwpge_watermark_setting_opt');
	?>
	<div class="rtwwpgepdf_tab_div">
		<table class="wp-list-table form-table">
			<tr>
				<th class="tr1 rtwwpge_tool_watermarktext"><?php esc_html_e('Watermark Text', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td class="tr2">
					<input type="checkbox"
					name="rtwwpge_watermark_setting_opt[rtwwpge_enable_text_watermark]" value='1'
					<?= ( isset($rtwwpge_wprh_get_setting['rtwwpge_enable_text_watermark'])) ? 'checked = "checked"' : ''?>
					onclick="showHideCheck('text_add_watermark', this);" />
					<div class="rtwwpge_desc"><?php esc_html_e('Check it if you want to show Watermark text',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
		</table>
		<table id="text_add_watermark"
			class="wp-list-table form-table <?= isset($rtwwpge_wprh_get_setting['rtwwpge_enable_text_watermark'])  ? '' : 'display_none' ?>">
			<tr>
				<th class="tr1 rtwwpge_tool_watermarkfont"><?php esc_html_e('Watermark Font', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td>
					<select name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_font]">
					<?php
					foreach ( $rtwwpge_fonts as $key => $value ) 
					{
						?>
							<option value="<?php echo esc_attr($value);?>" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_watermark_font'] ) && $rtwwpge_wprh_get_setting['rtwwpge_watermark_font'] == $value ? 'selected="selected"' : '';?>><?php esc_html_e($key,'rtwwpge-wordpress-pdf-generator-for-elementor');?></option>
						<?php
					}
					?>
					</select>
					<div class="rtwwpge_desc"><?php esc_html_e('Choose the font family of Watermark text',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<tr>
				<th class="tr1 rtwwpge_tool_watermarkrotation"><?php esc_html_e('Watermark Rotation', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td>
					<input type="text" name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_rotation]"
					value="<?= (isset ( $rtwwpge_wprh_get_setting['rtwwpge_watermark_rotation'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_rotation'] : '45'); ?>" />
					<div class="rtwwpge_desc"><?php esc_html_e('Enter your required rotation (in degree) for Watermark text',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<tr>
				<th class="tr1 rtwwpge_tool_watertext"><?php esc_html_e('Watermark Text', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
			</th>
				<td class="tr2">
					<textarea name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_text]" rows="4" cols="35"><?= ( isset($rtwwpge_wprh_get_setting['rtwwpge_watermark_text'])) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_text'] : '' ?>
					</textarea>
					<div class="rtwwpge_desc"><?php esc_html_e('Enter watermark text which you want to show on PDF',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<tr>
				<th class="tr1 rtwwpge_tool_watertexttransp"><?php esc_html_e('Text Opacity', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td class="tr2">
					<input type="number" step="0.1" min="0" max="1" name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_text_trans]"
					value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_watermark_text_trans'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_text_trans'] : '0.2'); ?>" />
					<div class="rtwwpge_desc"><?php esc_html_e('Select the text opacity for Watermark',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
		</table>
		<!-- Image watermark -->
		<table class="wp-list-table form-table">
			<tr>
				<th class="tr1 rtwwpge_tool_waterimage"><?php esc_html_e('Watermark Image', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td class="tr2">
					<input type="checkbox"
					name="rtwwpge_watermark_setting_opt[rtwwpge_enable_image_watermark]" value='1'
					<?= ( isset($rtwwpge_wprh_get_setting['rtwwpge_enable_image_watermark'])) ? 'checked = "checked"' : ''?>
					onclick="showHideCheck('rtwwpge_add_watermark_image', this);" />
					<div class="rtwwpge_desc"><?php esc_html_e('Check it if you want to show Watermark Image',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
		</table>
		<table id="rtwwpge_add_watermark_image" class="wp-list-table form-table <?= isset($rtwwpge_wprh_get_setting['rtwwpge_enable_image_watermark'])  ? '' : 'display_none' ?>">
			<tr>
				<th class="tr1 rtwwpge_tool_waterimgtransp"><?php esc_html_e('Image Opacity', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td class="tr2">
					<input type="number" step="0.1" min="0" max="1" name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_image_trans]"
					value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_watermark_image_trans'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_image_trans'] : '0.2'); ?>" />
					<div class="rtwwpge_desc"><?php esc_html_e('Select the image opacity for Watermark',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<tr>
				<th class="tr1 rtwwpge_tool_waterimgg"><?php esc_html_e('Watermark Image', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td>
					<?php $rtwwpge_src_watermark= isset($rtwwpge_wprh_get_setting['rtwwpge_watermark_img_url'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_url'] : '';?>
					<div id="rtwwpge_watermark_img_backgrnd"
							style="float: left; margin-right: 10px;">
							<img id="rtwwpge_watermark_img" src="<?= $rtwwpge_src_watermark ?>" width="60px"
								height="60px" />
					</div>
					<div style="line-height: 60px;">
						<input type="hidden" id="rtwwpge_watermark_img_url"
							name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_img_url]"
							value="<?= $rtwwpge_src_watermark?>" />
						<button type="button" class="rtwwpge_watermark_img_upload button"><?php esc_html_e( 'Upload/Add Image', ' rtwwpge-wordpress-pdf-generator-for-elementor'); ?></button><br>
						<button type="button" class="rtwwpge_watermark_remove_img button"><?php esc_html_e( 'Remove Image', ' rtwwpge-wordpress-pdf-generator-for-elementor'); ?></button>
					</div>
					<div class="rtwwpge_desc"><?php esc_html_e('Choose your Watermark Image which you want to show on PDF',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<?php $rtwwpge_watermark_size=array('D'=>'Original size of image','P'=>'Resize to fit the full page size, keeping aspect ratio','F'=>'Resize to fit the print-area (frame) respecting current page margins, keeping aspect ratio','INT'=>'Resize to full page size minus a margin set by this integer, keeping aspect ratio','array'=>'Specify Width and Height');?>
			<tr class="rtwwpge_waterdimen">
				<th class="tr1 rtwwpge_tool_imagedimension"><?php esc_html_e('Image Dimension', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td>
					<select name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_img_dim]" onchange="showHideImage();" id="doc-add-watermark-image-dimen-select"><?php
						foreach ( $rtwwpge_watermark_size as $key => $value ) 
						{
							?>
							<option value="<?php echo esc_attr($key);?>" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_dim'] ) && $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_dim'] == $key ? 'selected="selected"' : '';?>><?php esc_html_e($value,'rtwwpge-wordpress-pdf-generator-for-elementor');?></option>
							<?php
						}
					?>  
					</select>
					<div class="rtwwpge_desc"><?php esc_html_e('Choose the dimension of Watermark Image',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<table id="rtwwpge_add_watermark_image_dimension"
					class="<?php if($rtwwpge_wprh_get_setting['rtwwpge_watermark_img_dim']=='array' && $rtwwpge_wprh_get_setting['rtwwpge_enable_image_watermark']==1): echo '';else: echo 'display_none';endif;?>">
						<tr>
							<th class="tr1 rtwwpge_tool_waterwidth"><?php esc_html_e('Image Width', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
							</th>
							<td class="tr2">
								<input type="text" name="rtwwpge_watermark_setting_opt[rtwwpge_water_img_dim_width]"
								value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_water_img_dim_width'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_water_img_dim_width'] : ''); ?>" />
								<div class="rtwwpge_desc"><?php esc_html_e('Set the Width of Watermark Image',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
							</td>
						</tr>
						<tr>
							<th class="tr1 rtwwpge_tool_waterheight"><?php esc_html_e('Image Height', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
							</th>
							<td class="tr2">
								<input type="text" name="rtwwpge_watermark_setting_opt[rtwwpge_water_img_dim_height]"
								value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_water_img_dim_height'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_water_img_dim_height'] : ''); ?>" />
								<div class="rtwwpge_desc"><?php esc_html_e('Set the Height of Watermark Image',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr class="rtwwpge_watermarkint">
				<td colspan="2">
					<table id="rtwwpge_add_watermark_image_dimen_integer"
					class="<?php if($rtwwpge_wprh_get_setting['rtwwpge_watermark_img_dim']=='INT' && $rtwwpge_wprh_get_setting['rtwwpge_enable_image_watermark']==1): echo '';else: echo 'display_none';endif;?>">
						<tr>
							<th class="tr1"><?php esc_html_e('Integer Value', ' rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
							<td class="tr2"><input type="text" name="rtwwpge_watermark_setting_opt[rtwwpge_water_img_dim_int]"
								value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_water_img_dim_int'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_water_img_dim_int'] : ''); ?>" />
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<?php $rtwwpge_watermark_position=array('P'=>'Centred on the whole page area','F'=>'Centred on the page print-area (frame) respecting page margins','arrays'=>'Specify a position');
			?>
			<tr>
				<th class="tr1 rtwwpge_tool_imageposition"><?php esc_html_e('Image Position', ' rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td>
					<select name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_img_pos]" onchange="showHidePos();" id="doc-add-watermark-image-pos-select"><?php
						foreach ( $rtwwpge_watermark_position as $key => $value ) 
						{
							?>
							<option value="<?php echo esc_attr($key);?>" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos'] ) && $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos'] == $key ? 'selected="selected"' : '';?>><?php esc_html_e($value,'rtwwpge-wordpress-pdf-generator-for-elementor');?></option>
							<?php
						}	
				?>  </select>
				<div class="rtwwpge_desc"><?php esc_html_e('Choose the Watermark Image position in page layout',' rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<table id="rtwwpge_add_watermark_image_pos"
					class="<?php if($rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos']=='arrays' && $rtwwpge_wprh_get_setting['rtwwpge_enable_image_watermark']==1): echo '';else: echo 'display_none';endif;?>">
						<tr>
							<th class="tr1"><?php esc_html_e('Horizontal Position', ' rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
							<td class="tr2"><input type="text" name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_img_pos_x]"
								value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos_x'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos_x'] : ''); ?>" />
							</td>
						</tr>
						<tr>
							<th class="tr1"><?php esc_html_e('Vertical Position', ' rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
							<td class="tr2"><input type="text" name="rtwwpge_watermark_setting_opt[rtwwpge_watermark_img_pos_y]"
								value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos_y'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_watermark_img_pos_y'] : ''); ?>" />
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<?php
}
else {
	include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_html/rtwwpge_purchase_code_verification.php');
}