<?php



/**

 * Define the internationalization functionality

 *

 * Loads and defines the internationalization files for this plugin

 * so that it is ready for translation.

 *

 * @link       www.redefiningtheweb.com

 * @since      1.0.0

 *

 * @package    Rtwwpge_Wordpress_Pdf_Generator_For_Elementor

 * @subpackage Rtwwpge_Wordpress_Pdf_Generator_For_Elementor/includes

 */



/**

 * Define the internationalization functionality.

 *

 * Loads and defines the internationalization files for this plugin

 * so that it is ready for translation.

 *

 * @since      1.0.0

 * @package    Rtwwpge_Wordpress_Pdf_Generator_For_Elementor

 * @subpackage Rtwwpge_Wordpress_Pdf_Generator_For_Elementor/includes

 * @author     RedefinignTheWeb <support@redefiningtheweb.com>

 */

class Rtwwpge_Wordpress_Pdf_Generator_For_Elementor_i18n {





	/**

	 * Load the plugin text domain for translation.

	 *

	 * @since    1.0.0

	 */

	public function rtwwpge_load_plugin_textdomain() {



		load_plugin_textdomain(

			'rtwwpge-rtwwpge-wordpress-pdf-generator-for-elementor',

			false,

			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'

		);



	}

}

