<?php

$rtwwpge_purchase_code_details = get_option( 'rtwwpge_verification_done', array() );
if (!empty($rtwwpge_purchase_code_details) && is_array($rtwwpge_purchase_code_details) && isset($rtwwpge_purchase_code_details['status']) && $rtwwpge_purchase_code_details['status'] == true && isset($rtwwpge_purchase_code_details['purchase_code']) && $rtwwpge_purchase_code_details['purchase_code'] != '' )
{
	settings_fields('rtwwpge_singleprdt_setting');
	$rtwwpge_wprh_get_setting = get_option('rtwwpge_singleprdt_setting_opt');
	?>
	<div class="rtwwpgepdf_tab_div">
		<table class="wp-list-table form-table">
			<tbody>
				<tr>
					<th class="rtwwpge_tool_hidepage_title"><?php esc_html_e('Single Product Template', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
					</th>
					<td>
						<input type="checkbox" id ="rtwwpge_enable_singleprdt" name="rtwwpge_singleprdt_setting_opt[rtwwpge_enable_singleprdt]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt'] ) && $rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to generate PDF of WooCommerce Single Product page from inbuilt templates','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr class="rtwwpge_template_enabled sub_child_optn <?= isset($rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt']) && $rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt'] == 1 ? '' : 'display_none' ?>">
					<th><?php esc_html_e('Templates', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td>
						<p><input class="tem_enbl_optn" type="radio" id="template1" name="rtwwpge_singleprdt_setting_opt[rtwwpge_prdt_template]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_prdt_template'] ) && $rtwwpge_wprh_get_setting['rtwwpge_prdt_template'] == 1 ? 'checked="checked"' : '';?>>
						<label for="template1"><?php esc_html_e('Template 1','rtwwpge-wordpress-pdf-generator-for-elementor');?></label></p>
					
						<p><input class="tem_enbl_optn" type="radio" id="template2" name="rtwwpge_singleprdt_setting_opt[rtwwpge_prdt_template]" value="2" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_prdt_template'] ) && $rtwwpge_wprh_get_setting['rtwwpge_prdt_template'] == 2 ? 'checked="checked"' : '';?>>
						<label for="template2"><?php esc_html_e('Template 2','rtwwpge-wordpress-pdf-generator-for-elementor');?></label></p>

						<p><input class="tem_enbl_optn" type="radio" id="template3" name="rtwwpge_singleprdt_setting_opt[rtwwpge_prdt_template]" value="3" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_prdt_template'] ) && $rtwwpge_wprh_get_setting['rtwwpge_prdt_template'] == 3 ? 'checked="checked"' : '';?>>
						<label for="template3"><?php esc_html_e('Template 3','rtwwpge-wordpress-pdf-generator-for-elementor');?></label></p>
					
						<div class="rtwwpge_desc"><?php esc_html_e('Choose a template for WooCommerce Single Product Page', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></div>
					</td>
				</tr>
				<tr class="rtwwpge_template_enabled sub_child_optn <?= isset($rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt']) && $rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt'] == 1 ? '' : 'display_none' ?>">
					<th><?php esc_html_e('Hide Add To Cart Button', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td>
						<input type="checkbox" id ="rtwwpge_hide_atc_singleprdt" name="rtwwpge_singleprdt_setting_opt[rtwwpge_hide_atc_singleprdt]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_hide_atc_singleprdt'] ) && $rtwwpge_wprh_get_setting['rtwwpge_hide_atc_singleprdt'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to hide add to cart button from PDF templates','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr class="rtwwpge_template_enabled sub_child_optn <?= isset($rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt']) && $rtwwpge_wprh_get_setting['rtwwpge_enable_singleprdt'] == 1 ? '' : 'display_none' ?>">
					<th><?php esc_html_e('Hide Related Product', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td>
						<input type="checkbox" id ="rtwwpge_hide_rp_singleprdt" name="rtwwpge_singleprdt_setting_opt[rtwwpge_hide_rp_singleprdt]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_hide_rp_singleprdt'] ) && $rtwwpge_wprh_get_setting['rtwwpge_hide_rp_singleprdt'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to hide related product section from PDF templates','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
			</tbody>	
		</table>
	</div>
	<?php
}
else {
	include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_html/rtwwpge_purchase_code_verification.php');
}